<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::VertexDeclaration Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ae789acf4f4a63d8638fc23cb4e26239f">addElement</a>(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ad75e99bdec09b033ef250b3d2c5296f2">clone</a>(HardwareBufferManagerBase *mgr=0) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a260ecb704cfc32b82f248e382a53be47">closeGapsInSource</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a3ccfd23af715e4ba40a06edd467d5475">findElementBySemantic</a>(VertexElementSemantic sem, unsigned short index=0) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a293447fa4009ed26af12b47b8cd6415c">findElementsBySource</a>(unsigned short source) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a7ee49d2d72f0b802fb94bebd216dd8ab">getAutoOrganisedDeclaration</a>(bool skeletalAnimation, bool vertexAnimation, bool vertexAnimationNormals) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a31ee2f8508477014476518eb30f68267">getElement</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a4af70a10bb43da8b8816d18fe652ec58">getElementCount</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#aa9e3bde080e00f7cb9ee737259bb7fa2">getElements</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a2aca53e4f9ccb1cef8d070b037e3b649">getMaxSource</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a8932fb5a831e8ac471bd5f4b2a7351b8">getNextFreeTextureCoordinate</a>() const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ad39445c408cde1362822577ba0c485c2">getVertexSize</a>(unsigned short source) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ab11e10c594cd765a0d8389b9e96ec24e">insertElement</a>(unsigned short atPosition, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#adc48aa31318d2384866eab90ee8406d5">mElementList</a></td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#acf877a67096cf85fce47757010b531b1">modifyElement</a>(unsigned short elem_index, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a64989816c9979aac5a5416d488d547d5">operator!=</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#aee364dc39b2dfdbff4a5b135e5e5ef39">operator==</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a9c6df3f800c43118c49e30940445669f">removeAllElements</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a2dc6358fb76e454d7ae30da4d014687c">removeElement</a>(unsigned short elem_index)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ad98b8d55cf8490d788ba46633143ef94">removeElement</a>(VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a98cce285a45ba6f4cf817dcf46bfb588">sort</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a564fde701486b259f4f995a799adb433">VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a670466fe9bcfc426ccefb5395a3a82ef">vertexElementLess</a>(const VertexElement &amp;e1, const VertexElement &amp;e2)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a3229cfa9d056740702853b27249c7181">VertexElementList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a27c14f93e37659aa583f572ba250b155">~VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:57
</p>
</body>
</html>
